package com.steerinfo.ems.tmaintenancefile.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="null")
public class TMaintenanceFile implements IBasePO<String> {
    /**
     * 文件ID(ID,VARCHAR,255)
     */
    @ApiModelProperty(value="文件ID",required=true)
    private String id;

    /**
     * 文件名(FILENAME,VARCHAR,255)
     */
    @ApiModelProperty(value="文件名",required=false)
    private String filename;

    /**
     * 文件路径(FILEPATH,VARCHAR,255)
     */
    @ApiModelProperty(value="文件路径",required=false)
    private String filepath;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename == null ? null : filename.trim();
    }

    public String getFilepath() {
        return filepath;
    }

    public void setFilepath(String filepath) {
        this.filepath = filepath == null ? null : filepath.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", filename=").append(filename);
        sb.append(", filepath=").append(filepath);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}